package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuI18nResourcesCollection extends AbstractObjectCollection 
{
    public FeishuI18nResourcesCollection()
    {
        super(FeishuI18nResourcesInfo.class);
    }
    public boolean add(FeishuI18nResourcesInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuI18nResourcesCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuI18nResourcesInfo item)
    {
        return removeObject(item);
    }
    public FeishuI18nResourcesInfo get(int index)
    {
        return(FeishuI18nResourcesInfo)getObject(index);
    }
    public FeishuI18nResourcesInfo get(Object key)
    {
        return(FeishuI18nResourcesInfo)getObject(key);
    }
    public void set(int index, FeishuI18nResourcesInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuI18nResourcesInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuI18nResourcesInfo item)
    {
        return super.indexOf(item);
    }
}